﻿using OpenQA.Selenium;
using OpenQA.Selenium.Chrome;
using OpenQA.Selenium.Support.UI;

using SeleniumExtras.WaitHelpers;

namespace TestProject;

/// <summary>
/// 프로그램
/// </summary>
class Program
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Method
    ////////////////////////////////////////////////////////////////////////////////////////// Static
    //////////////////////////////////////////////////////////////////////////////// Private

    #region 프로그램 시작하기 - Main()

    /// <summary>
    /// 프로그램 시작하기
    /// </summary>
    private static void Main()
    {
        Console.Write("검색할 문자열을 입력해 주시기 바랍니다 : ");

        string searchStrnig = Console.ReadLine();

        ChromeDriverService driverService = ChromeDriverService.CreateDefaultService();

        ChromeOptions options =new ChromeOptions();

        ChromeDriver driver = new ChromeDriver(driverService, options);

        INavigation navigation = driver.Navigate();

        navigation.GoToUrl("https://www.google.com");

        WebDriverWait wait = new WebDriverWait(driver, TimeSpan.FromSeconds(10));

        wait.Until(ExpectedConditions.ElementIsVisible(By.XPath("/html/body")));

        IWebElement element = driver.FindElement(By.Name("q"));

        element.SendKeys(searchStrnig);

        element.Submit();

        Console.WriteLine("프로그램을 종료하기 위해서 아무 키나 눌러 주시기 바랍니다.");

        Console.ReadKey(false);

        driver.Quit();
    }

    #endregion
}